List time off
GET
/time-off
const url = 'https://example.com/time-off?status=requested';const options = { method: 'GET', headers: {cookie: 'bottle.session_token=<bottle.session_token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/time-off?status=requested' \ --cookie bottle.session_token=<bottle.session_token>Holiday, sickness and anything else, overlapping the dates given. A driver sees only their own.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”from
string format: date
to
string format: date
userId
string
status
string
Responses
Section titled “Responses”Time off
Media typeapplication/json
object
items
required
Array<object>
object
id
required
UUID v7
string format: uuid
userId
required
string
userName
required
string
kind
required
string
startsOn
required
string format: date
endsOn
required
string format: date
halfStart
required
boolean
halfEnd
required
boolean
note
required
string | null
status
required
string
days
required
number
unpaidDays
required
number
decidedByName
required
string | null
decidedAt
required
string | null format: date-time
createdAt
required
string format: date-time
Example
{ "items": [ { "id": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "kind": "holiday", "status": "requested" } ]}Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not a member, or without the permission this needs
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}